import { createContext, useContext, useState } from "react";

const preview = {
  paymentPlan: "",
  setPaymentPlan: () => {},
};

const AppContext = createContext(preview);

export const useAppContext = () => useContext(AppContext);

export function AppProvider({ children, options }) {
  const [paymentPlan, setPaymentPlan] = useState(options.paymentPlan);

  return (
    <AppContext.Provider
      value={{
        paymentPlan,
        setPaymentPlan,
      }}
    >
      {children}
    </AppContext.Provider>
  );
}
